﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Prabir.BlogEngine.Extensions
{
    public partial class ExportCommentsSettings : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void btnExportComment_Click(object sender, EventArgs e)
        {
            Response.Clear();
            // forces to open the open/save file dialog
            Response.AddHeader("Content-Disposition", "attachment; filename=comments.xml");

            ICommentExporter<System.Xml.XmlDocument> exporter = null;

            if (ddlFormat.SelectedValue == "Disqus")
                exporter = new DisqusCommentExporter();
            else
                exporter = new IntenseDebateCommentExporter();

            foreach (string map in txtAuthorsMap.Text.Split(';'))
            {
                string[] author = map.Split(':');

                string key, value;

                if (author.Length == 1)
                {
                    key = author[0];
                    value = author[0];
                }
                else
                {
                    key = author[0];
                    value = author[1];
                }

                if (!exporter.AuthorsMap.ContainsKey(key))
                    exporter.AuthorsMap.Add(key, value);
            }

            exporter.Export().Save(Response.OutputStream);

            Response.End();
        }
    }
}